<div class="container" *ngIf="authService.isLogged | async ">

    <ng-container *ngIf="isAdministrador || isDisenador">
        <mat-toolbar>
            <span> Crear Flujos de Trabajo</span>
            <div class="example-spacer"></div>
            <button mat-raised-button routerLink="/listarFlujos">Volver</button>
    
        </mat-toolbar>
    
        <mat-card style="margin-top: 5px;">
            <form [formGroup]="nuevoForm" (ngSubmit)="postForm(nuevoForm.value)">
                <mat-grid-list cols="4" rowHeight="80px">
    
                    
    
                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Nombre Flujo</mat-label>
                            <input matInput autocomplete="off" formControlName="nombre_flujo_trabajo">
                            
                        </mat-form-field>
                    </mat-grid-tile>

                    <mat-grid-tile [colspan]="3" [rowspan]="6">
                        <img class="imagen" src="./assets/img/edit-flujoTrabajo.svg">
                    </mat-grid-tile>
    
                    <mat-grid-tile [colspan]="1" [rowspan]="2">
                        <mat-form-field class="ancho" >
                            <mat-label>Descripcion</mat-label>
                            <textarea matInput placeholder="Ex. It makes me feel..." formControlName="descripcion_flujo_trabajo"></textarea>
                          </mat-form-field>
                    </mat-grid-tile>
                    
    
    
                    <mat-grid-tile [colspan]="1" [rowspan]="1" >
                        <button mat-raised-button color="primary" type="submit" [disabled]="nuevoForm.invalid"
                        class="ancho">Aceptar</button>
                    </mat-grid-tile>
                
                </mat-grid-list>
    
            </form>
        </mat-card>
    </ng-container>

    
</div>
